<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2014 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Ext-Joom.com
# Websites:  http://www.ext-joom.com 
# Date modified: 18/01/2014 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}

// load CSS
$document 					= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_elasticstack_adsmanager_ads/assets/css/default.css');


$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_generate_id			=(int)$params->get('ext_generate_id', 1);
$ext_id						= $params->get('ext_id', '1');
if ($ext_generate_id == 1) {
	$rand1 = rand(1,100);
	$rand2 = rand(1,100);
	$ext_id = $rand1.$rand2;
}


$ext_title					= (int)$params->get('ext_title', 1);
$ext_price					= (int)$params->get('ext_price', 1);
$ext_currency				= $params->get('ext_currency', '$');


//	ElastiStack
//-------------------------------------------------------------------

$ext_width					= (int)$params->get('ext_width' , 150);
$ext_height					= (int)$params->get('ext_height', 200);
$ext_width_block			= (int)$params->get('ext_width_block' , 190);
$ext_height_block			= (int)$params->get('ext_height_block', 240);
$ext_modernizr 				= (int)$params->get('ext_modernizr', 1);
$ext_draggabilly 			= (int)$params->get('ext_draggabilly', 1);
$ext_elastistack 			= (int)$params->get('ext_elastistack', 1);
$distDragBack				= (int)$params->get('distdragback' , 200);
$distDragMax				= (int)$params->get('distdragmax' , 450);

// load JS
if ($ext_modernizr > 0) {	
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_elasticstack_adsmanager_ads/assets/js/modernizr.custom.js"></script>');
}
if ($ext_draggabilly > 0) {	
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_elasticstack_adsmanager_ads/assets/js/draggabilly.pkgd.min.js"></script>'); 
}
if ($ext_elastistack > 0) {
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_elasticstack_adsmanager_ads/assets/js/elastiStack.js"></script>');
}



//  Standard AdsManager
//---------------------------------------------------------------------
	
require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/configuration.php');
require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/content.php');
require_once(JPATH_BASE.'/administrator/components/com_adsmanager/models/field.php');
require_once(JPATH_BASE."/components/com_adsmanager/helpers/field.php");

$uri = JFactory::getURI();
$baseurl = JURI::base();
	
if (!defined( '_ADSMANAGER_CSS' )) {
	/** ensure that functions are declared only once */
	define( '_ADSMANAGER_CSS', 1 );
	$document = JFactory::getDocument();
	$app = JFactory::getApplication();
	$templateDir = JPATH_ROOT . '/templates/' . $app->getTemplate();
	if (is_file($templateDir.'/html/com_adsmanager/css/adsmanager.css')) {
		$templateDir = JURI::base() . 'templates/' . $app->getTemplate();
		$document->addStyleSheet($templateDir.'/html/com_adsmanager/css/adsmanager.css');
	} else {
		$document->addStyleSheet($baseurl.'components/com_adsmanager/css/adsmanager.css');
	}
}

if (!defined('_ADSMANAGER_MODULE_ADS')) {
	define( '_ADSMANAGER_MODULE_ADS', 1 );
	function isNewContent($date,$nbdays) {
		$time = strtotime($date);
		if ($time >= (time()-($nbdays*24*3600)))
			return true;
		else
			return false;
	}
	
	function reorderDate( $date ){
		$format = JText::_('ADSMANAGER_DATE_FORMAT_LC');
		
		if ($date && (preg_match("/([0-9]{4})-([0-9]{2})-([0-9]{2})/",$date,$regs))) {
			$date = mktime( 0, 0, 0, $regs[2], $regs[3], $regs[1] );
			$date = $date > -1 ? strftime( $format, $date) : '-';
		}
		return $date;
	}
}

require_once(JPATH_ROOT."/components/com_adsmanager/lib/core.php");

$nb_ads 			= intval($params->get( 'nb_ads', 3 )) ;
$imagesize 			= $params->get( 'imagesize', "small" ) ;

switch($imagesize) {
	case "large":
		$imagetype = "image";break;
	case "medium":
		$imagetype = "medium";break;
	default:
	case "small":
		$imagetype = "thumbnail";break;
}

$itemid 			= intval($params->get( 'default_itemid', JRequest::getInt('Itemid', 0 ) )) ;
$sort_sql			= intval($params->get( 'random',0));
$catselect 			= $params->get('catselect',"no");
$displaycategory 	= intval($params->get( 'displaycategory',1));
$displaydate 		= intval($params->get( 'displaydate',1));



$confmodel 	 = new AdsmanagerModelConfiguration();
$conf = $confmodel->getConfiguration();
$nb_images = $conf->nb_images;

$contentmodel  = new AdsmanagerModelContent();
$contents = $contentmodel->getLatestContents($nb_ads,$sort_sql,$catselect);

$fields = array();
$fields[] = $params->get( 'field1', "") ;
$fields[] = $params->get( 'field2', "") ;
$fields[] = $params->get( 'field3', "") ;
$fields[] = $params->get( 'field4', "") ;
$fields[] = $params->get( 'field5', "") ;
$listfields="";
foreach($fields as $field)
{
	if (($listfields == "")&&($field != ""))
		$listfields .= "'$field'";
	if ($field != "")
		$listfields .= ",'$field'";
}

$fieldmodel  = new AdsmanagerModelField();
$field_values = array();
$adfields = array();
if ($listfields != "")
{
	$adfields = $fieldmodel->getFieldsByName($listfields);
	$field_values = $fieldmodel->getFieldValues();

	foreach($adfields as $field)
	{
		if ($field->cbfieldvalues != "-1")
		{
			/*get CB value fields */
			$cbfieldvalues = $fieldmodel->getCBFieldValues($field->cbfieldvalues);
			$field_values[$field->fieldid] = $cbfieldvalues;
		}
	}
}
$field = new JHTMLAdsmanagerField($conf,$field_values,"4",$fieldmodel->getPlugins());

if (function_exists("getMaxPaidSystemImages"))
{
	$nb_images += getMaxPaidSystemImages();
}

require JModuleHelper::getLayoutPath('mod_ext_elasticstack_adsmanager_ads', $params->get('layout', 'default'));

$content="";
$path = JPATH_ADMINISTRATOR.'/../libraries/joomla/database/table';
JTable::addIncludePath($path);
//echo JText::_(COP_JOOMLA);	
?>